package com.fs.qw.mapper;

import com.fs.qw.domain.QwWelcome;

import java.util.List;

/**
 * 入群欢迎语管理Mapper接口
 *
 * @author fs
 * @date 2024-06-22
 */
public interface QwWelcomeMapper
{
    /**
     * 查询入群欢迎语管理
     *
     * @param welcomeId 入群欢迎语管理主键
     * @return 入群欢迎语管理
     */
    public QwWelcome selectQwWelcomeByWelcomeId(Long welcomeId);

    /**
     * 查询入群欢迎语管理列表
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 入群欢迎语管理集合
     */
    public List<QwWelcome> selectQwWelcomeList(QwWelcome qwWelcome);

    /**
     * 新增入群欢迎语管理
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 结果
     */
    public int insertQwWelcome(QwWelcome qwWelcome);

    /**
     * 修改入群欢迎语管理
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 结果
     */
    public int updateQwWelcome(QwWelcome qwWelcome);

    /**
     * 删除入群欢迎语管理
     *
     * @param welcomeId 入群欢迎语管理主键
     * @return 结果
     */
    public int deleteQwWelcomeByWelcomeId(Long welcomeId);


}
